My website shows SSL errors

Hello!

You can’t use certificate chains here. If you need those, please upgrade to premium.

TLS 1.1 and 1.2 are weak. You should use the most up to date web browser which supports TLS 1.3 which is more secure.

You are unable to set CAA records here without external DNS management, such as CloudFlare.

That is not an issue. If you own the apex domain (or subdomain) then why wouldn’t you own the www subdomain? See, that’s why it was removed. No ACME for www is perfectly fine (if you are using the in-house TLS tool).

This is why:

This is most likely Messenger’s fault.

5 Likes